function femmodel=adjointbalancedthickness_core(femmodel),
%ADJOINT_CORE - compute inverse method adjoint state
%
%   Usage:
%      femmodel=adjointbalancedthickness_core(femmodel)

	%recover parameters common to all solutions
	verbose=femmodel.parameters.Verbose;
	control_analysis=femmodel.parameters.ControlAnalysis;
	solution_type=femmodel.parameters.SolutionType;

	%set analysis type to compute velocity:
	issmprintf('\n%s',['      computing thickness']);
	femmodel=SetCurrentConfiguration(femmodel,BalancedthicknessAnalysisEnum);
	femmodel=solver_linear(femmodel);

	%Call SurfaceAreax, because some it might be needed by PVector
	femmodel.elements=SurfaceArea(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters);

	%compute adjoint
	issmprintf('\n%s',['      computing adjoint']);
	femmodel=SetCurrentConfiguration(femmodel,BalancedthicknessAnalysisEnum,AdjointBalancedthicknessAnalysisEnum);
	femmodel=solver_adjoint_linear(femmodel);

	%Save results
	femmodel.elements=InputToResult(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters,AdjointEnum);
	if(solution_type==AdjointSolutionEnum & ~control_analysis)
		issmprintf(verbose,'\n%s',['      saving results...']);
		femmodel.elements=InputToResult(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters,AdjointEnum);
	end
