function femmodel=surfaceslope_core(femmodel)
%SURFACESLOPE_CORE - core of the surface slope computation solution
%
%   Usage:
%      femmodel=surfaceslope_core(femmodel)
%

	%Recover some parameters:
	verbose=femmodel.parameters.Verbose;
	dim=femmodel.parameters.Dim;
	control_analysis=femmodel.parameters.ControlAnalysis;
	solution_type=femmodel.parameters.SolutionType;

	issmprintf(verbose,'\n%s',['computing surface slope...']);

	%Call on core computations: 
	femmodel=SetCurrentConfiguration(femmodel,SurfaceSlopeAnalysisEnum,SurfaceSlopeXAnalysisEnum);
	femmodel=solver_linear(femmodel);
	femmodel=SetCurrentConfiguration(femmodel,SurfaceSlopeAnalysisEnum,SurfaceSlopeYAnalysisEnum);
	femmodel=solver_linear(femmodel);
	
	if (solution_type==SurfaceSlopeSolutionEnum),
		issmprintf(verbose,'\n%s',['saving results...']);
		femmodel.elements=InputToResult(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters,SurfaceSlopeXEnum);
		femmodel.elements=InputToResult(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters,SurfaceSlopeYEnum);
	end

end %end function
